OpenCV: cv::ocl::Queue Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | Protected Attributes | Friends | List of all members
cv::ocl::Queue Class Reference
Core functionality » OpenCL support

`#include "ocl.hpp"`

## Public Member Functions
| Queue ()
| Queue (const Context &c, const Device &d=Device())
| Queue (const Queue &q)
| ~Queue ()
bool | create (const Context &c=Context(), const Device &d=Device())
void | finish ()
Impl * | getImpl () const
const Queue & | getProfilingQueue () const
| Returns OpenCL command queue with enable profiling mode support. More...
Queue & | operator= (const Queue &q)
void * | ptr () const

## Static Public Member Functions
static Queue & | getDefault ()

## Protected Attributes
Impl * | p

## Friends
struct | Impl

## Constructor & Destructor Documentation

## ◆ Queue() [1/3]

cv::ocl::Queue::Queue | ( |  | ) |

## ◆ Queue() [2/3]

cv::ocl::Queue::Queue | ( | const Context & | c,
|  | const Device & | d = `Device()`
| ) |  |
| explicit

## ◆ ~Queue()

cv::ocl::Queue::~Queue | ( |  | ) |

## ◆ Queue() [3/3]

cv::ocl::Queue::Queue | ( | const Queue & | q | ) |

## Member Function Documentation

## ◆ create()

bool cv::ocl::Queue::create | ( | const Context & | c = `Context()`,
|  | const Device & | d = `Device()`
| ) |  |

## ◆ finish()

void cv::ocl::Queue::finish | ( |  | ) |

## ◆ getDefault()

static Queue& cv::ocl::Queue::getDefault | ( |  | ) |
| static

## ◆ getImpl()

Impl* cv::ocl::Queue::getImpl | ( |  | ) | const
| inline

## ◆ getProfilingQueue()

const Queue& cv::ocl::Queue::getProfilingQueue | ( |  | ) | const

Returns OpenCL command queue with enable profiling mode support.

## ◆ operator=()

Queue& cv::ocl::Queue::operator= | ( | const Queue & | q | ) |

## ◆ ptr()

void* cv::ocl::Queue::ptr | ( |  | ) | const

## Friends And Related Function Documentation

## ◆ Impl

friend struct Impl
| friend

## Member Data Documentation

## ◆ p

Impl* cv::ocl::Queue::p
| protected

The documentation for this class was generated from the following file:

- core/include/opencv2/core/ocl.hpp